Welcome! Log In Create A New Profile

Advanced

PHP-FPM build/make error - Unsupported Processor (NGINX PPC PS3 PHP-5.3.1)

Posted by eDee 
Dear friends, I have been trying to implement my own pet algorithm on
a PS3 and so far, no major hitch, thank God. But now tis like I've hit
a snag and can't get around... well I haven't got the time but am sure
if I spend a few more hours/days on it... who knows. I've been thru
the same, where no clear help comes even from the web... I just can't
afford the delay this time round! Please help me. Tis a PHP-FPM
problem...

# Here's the scenario:

Downloaded and installed at least libevent version 1.4.12

Downloaded latest PHP-5.3.1 (http://php.net/download/) and PHP-
FPM-0.6-103~5.3.1 (https://launchpad.net/php-fpm/+download)

# The configs and build process:
tar -xzf php-fpm-0.6-103~5.3.1.tar.gz
php-fpm-0.6-5.3.1-r103/generate-fpm-patch
bzip2 -cd php-5.3.1.tar.bz2 | tar xf -
patch -d php-5.3.1 -p1 <fpm.patch
cd php-5.3.1
../buildconf --force
../configure --build=powerpc-redhat-linux-gnu --host=powerpc-redhat-
linux-gnu --target=ppc-yellowdog-linux-gnu ... --enable-fastcgi --with-
fpm --with-libevent=/usr/local/lib --enable-inline-optimization ...
&& make all install

# Config output is error-free!
.....
config.status: creating php5.spec
config.status: creating main/build-defs.h
config.status: creating scripts/phpize
config.status: creating scripts/man1/phpize.1
config.status: creating scripts/php-config
config.status: creating scripts/man1/php-config.1
config.status: creating sapi/cli/php.1
config.status: creating sapi/fpm/php_fpm.conf
config.status: creating sapi/fpm/init.d.php_fpm
config.status: creating sapi/fpm/nginx-site-conf.sample
config.status: creating sapi/fpm/php-fpm.1
config.status: creating main/php_config.h
config.status: main/php_config.h is unchanged
config.status: executing default commands
.....
# But make crashes!!!
.....
In file included from /root/src_archive/php-5.3.1/sapi/fpm/fpm/
fpm_shm_slots.c:7:
/root/src_archive/php-5.3.1/sapi/fpm/fpm/fpm_atomic.h:124:2: error:
#error unsupported processor. please write a patch and send it to me
In file included from /root/src_archive/php-5.3.1/sapi/fpm/fpm/
fpm_shm_slots.c:7:
/root/src_archive/php-5.3.1/sapi/fpm/fpm/fpm_atomic.h:128: error:
expected ')' before '*' token
In file included from /root/src_archive/php-5.3.1/sapi/fpm/fpm/
fpm_shm_slots.c:11:
/root/src_archive/php-5.3.1/sapi/fpm/fpm/fpm_shm_slots.h:16: error:
expected specifier-qualifier-list before 'atomic_t'
/root/src_archive/php-5.3.1/sapi/fpm/fpm/fpm_shm_slots.c: In function
'fpm_shm_slots_acquire':
/root/src_archive/php-5.3.1/sapi/fpm/fpm/fpm_shm_slots.c:116: error:
'struct fpm_shm_slot_s' has no member named 'lock'
/root/src_archive/php-5.3.1/sapi/fpm/fpm/fpm_shm_slots.c: In function
'fpm_shm_slots_release':
/root/src_archive/php-5.3.1/sapi/fpm/fpm/fpm_shm_slots.c:125: error:
'struct fpm_shm_slot_s' has no member named 'lock'
make: *** [sapi/fpm/fpm/fpm_shm_slots.lo] Error 1

# Tried the suggestion at http://forum.nginx.org/read.php?3,34486,36127
but the error persists!

# My requirements are Latest Nginx/PHP-5.3.1/PFM on the PPC (esp. the
PS3, because my algorithm runs on SPU intrinsics)

Kindly assist...

Ed.
Sorry, only registered users may post in this forum.

Click here to login

Online Users

Guests: 102
Record Number of Users: 6 on February 13, 2018
Record Number of Guests: 421 on December 02, 2018
Powered by nginx      Powered by FreeBSD      PHP Powered      Powered by MariaDB      ipv6 ready